﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=\%PROJECT_NAME%.zip

'B4A ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4A\%PROJECT_NAME%.b4a
'B4i ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4i\%PROJECT_NAME%.b4i
'B4J ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4J\%PROJECT_NAME%.b4j


Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private ToastMessage As BCToast
	Private Dialog As B4XDialog
	Private DateTemplate As B4XDateTemplate
	Dim LineChart1 As xChart
	Private ChartWidth, ChartHeight, ChartMidX, ChartMidY As Int
	Public MP As B4XMainPage
	Public SQL1 As SQL
	Public Date_Year As Int
	Public Date_Id As Int
	Public Num As Int
	Public Month As Int
	Public CurrentIndex = -1 As Int		' index of the current entry
	Public RowIDList As List
	Public Show_Data As List
	
	Private Day_List As List
	Private Month_Day_List As List
	Private EditText1 As B4XView
	Private NowDay As Int
	
	Public NowTime As Int

	Public  Query As String
	Private BntLeft As Button
	Private BntMonth As Button
	Private BntRight As Button
	Private bnt1_Flag = False As Boolean
	Public bnt2_Flag = False As Boolean
	Public bnt3_Flag = False As Boolean
	Public bnt4_Flag = False As Boolean
	Public bnt5_Flag = False As Boolean
	Public bnt6_Flag = False As Boolean
	Public Rowid As Int
	Public Select_Num As Int
	Public Select_Month As Int
	Public Total_Num As Int
	Public Select_Flag =  False As Boolean
	Private BntHome As Button
	Public BntToday_Flag = False As Boolean
	Public Bntmonth_Flag = False As Boolean
	Public Week_Flag = True As Boolean
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	MP = B4XPages.MainPage
	B4XPages.SetTitle(Me, "Mystatus")
	ToastMessage.Initialize(Root)
	Dialog.Initialize (Root)
	DateTemplate.Initialize
	DateTemplate.MinYear = 2021
	DateTemplate.MaxYear = 2031

	If File.Exists(xui.DefaultFolder, "mystatus.db") = False Then
		File.Copy(File.DirAssets, "mystatus.db", xui.DefaultFolder, "mystatus.db")
	End If
	SQL1.Initialize(xui.DefaultFolder, "mystatus.db", True)
	
	ChartWidth = LineChart1.Width
	ChartHeight = LineChart1.Height
	ChartMidX = LineChart1.Left + LineChart1.Width / 2
	ChartMidY = LineChart1.Top + LineChart1.Height / 2
	DateTime.DateFormat = "yyyyMMdd"
	NowDay = DateTime.Date(DateTime.Now)
	Select_Month = DateTime.Date(DateTime.Now).SubString2(0,6)
	Private Query As String
	Dim num_tem As Int
	Private ResultSet1 As ResultSet
	num_tem = SQL1.ExecQuerySingleResult("SELECT count() FROM Chart_table")
	  Query = "SELECT * FROM Chart_Table WHERE Date_Id = ?"
	  ResultSet1 = SQL1.ExecQuery2(Query, Array As String (NowDay))

		If ResultSet1.NextRow = True Then
		   Rowid = NowDay
		Else
			
			If num_tem > 0 Then
				num_tem = num_tem + 1
			Else
				num_tem = 1
			End If
		    Rowid = NowDay
			Query = "INSERT INTO Chart_Table VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)"
			Dim tem = 0 As Int
		    Dim tem1 = 0 As Int
		    Dim tem2 = 0 As Int
		    SQL1.ExecNonQuery2(Query, Array As String(NowDay,num_tem,tem1,tem1,tem1,tem1,tem1,tem1,tem,tem,tem,tem,tem,tem,tem,tem,tem,tem,tem,tem,tem,tem,tem1,tem1,tem1,tem1,"","","","","","","","","","","","","","","","","","","","","","","","",tem2))
		End If
		
		ResultSet1.Close
		Total_Num = num_tem
		Num = num_tem
		Select_Num = num_tem
		CreateChartData
End Sub
Sub CreateChartData
	Private Chart_number As Int
	Private i = 0 As Int
	Private j = 0 As Int
	Private Chart1 As String
	Private Chart2 As String
	Private Chart3 As String
	Private Chart4 As String
	Private Chart5 As String
	Private Chart6 As String
	Private Chart7 As String
	Private tem1 As Int
	Private tem2 As String
	Private tem3 As String
	Private tem4 As String
	Private tem5 As String
	Private tem6 As String
	Private tem7 As String
	If 100%Y > 100%x Then	' portrait mode
		LineChart1.Width = ChartHeight
		LineChart1.Left = ChartMidX - ChartHeight / 2
		LineChart1.Height = ChartWidth
		LineChart1.Top = ChartMidY - ChartWidth / 2
	End If
	LineChart1.ClearData


'/Read the database
	If BntToday_Flag= True Then
		Read_Database
		If Select_Flag = True Then
		 Chart1 = Day_List.get(0)
		Else
			Chart1 = NowDay
		End If
		Date_Year = Chart1.Substring2(0,4)
		
		LineChart1.ClearData
		Chart1 = Chart1.Substring2(4,6)&"/"& Chart1.Substring2(6,8) & ""
		LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
						
		For i = 0 To 1440 Step 60
			If (i Mod 60 = 0) And  i = 0 Then
				j = 0
				tem1 = Show_Data.Get(23)
			Else
				j = j +1
				tem1 = Show_Data.Get(j-1)
			End If
			' Add the line points.
			LineChart1.AddLineMultiplePoints(j,Array As Double(tem1), i Mod 60 = 0)
		Next
	Else If	Bntmonth_Flag= True Then

		Chart1 = Select_Month	
		Read_Database_Month
		LineChart1.ClearData
		Chart1 = Chart1.Substring2(0,4)&"/"& Chart1.Substring2(4,6) & "/"
		If Month_Day_List.Size > 0 Then
			LineChart1.Visible = True
		   LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
			For i = 0 To Month_Day_List.Size-1
				' Add the line points.
				tem1 = Month_Day_List.Get(i)
				LineChart1.AddLineMultiplePoints(i+1,Array As Double(tem1), True)
			Next
		Else
			LineChart1.Visible = False
			ToastMessage.Show("No data！")
		End If
	Else
		Read_Database
			Chart_number = Show_Data.Size/24
			LineChart1.ClearData
		Select Chart_number
			Case 1
				Chart1 = Day_List.get(0)
				Date_Year = Chart1.Substring2(0,4)
				Chart1 = Chart1.Substring2(4,6)&"/"& Chart1.Substring2(6,8) & ""

				LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
						
				For i = 0 To 1440 Step 60
					If (i Mod 60 = 0) And  i = 0 Then
						j = 0
						tem1 = Show_Data.Get(23)
					Else
						j = j +1
						tem1 = Show_Data.Get(j-1)
					End If
					' Add the line points.
					LineChart1.AddLineMultiplePoints(j,Array As Double(tem1), i Mod 60 = 0)
				Next
			Case 2
				Chart1 = Day_List.get(0)
				Date_Year = Chart1.Substring2(0,4)
				Chart1 = Chart1.Substring2(4,6)&"/"& Chart1.Substring2(6,8) & ""
				Chart2 = Day_List.get(1)
				Chart2 = Chart2.Substring2(4,6)&"/"& Chart2.Substring2(6,8) & ""
				
				LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
				LineChart1.AddLine2(Chart2, xui.Color_BLUE, 2dip, "CIRCLE", False, xui.Color_BLUE)
					
				For i = 0 To 1440 Step 60
					If (i Mod 60 = 0) And  i = 0 Then
						j = 0
						tem1 = Show_Data.Get(23)
						tem2 = Show_Data.Get(47)
					Else
						j = j +1
						tem1 = Show_Data.Get(j-1)
						tem2 = Show_Data.Get(j+23)
					End If
					' Add the line points.
					LineChart1.AddLineMultiplePoints(j,Array As Double(tem1,tem2), i Mod 60 = 0)
				Next
			Case 3
				Chart1 = Day_List.get(0)
				Date_Year = Chart1.Substring2(0,4)
				Chart1 = Chart1.Substring2(4,6)&"/"& Chart1.Substring2(6,8) & ""
				Chart2 = Day_List.get(1)
				Chart2 = Chart2.Substring2(4,6)&"/"& Chart2.Substring2(6,8) & ""
				Chart3 = Day_List.get(2)
				Chart3 = Chart3.Substring2(4,6)&"/"& Chart3.Substring2(6,8) & ""
				
				LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
				LineChart1.AddLine2(Chart2, xui.Color_BLUE, 2dip, "CIRCLE", False, xui.Color_BLUE)
				LineChart1.AddLine2(Chart3, xui.Color_RED, 2dip, "CIRCLE", False, xui.Color_RED)
					
				For i = 0 To 1440 Step 60
					If (i Mod 60 = 0) And  i = 0 Then
						j = 0
						tem1 = Show_Data.Get(23)
						tem2 = Show_Data.Get(47)
						tem3 = Show_Data.Get(71)
					Else
						j = j +1
						tem1 = Show_Data.Get(j-1)
						tem2 = Show_Data.Get(j+23)
						tem3 = Show_Data.Get(j+47)
					End If
					' Add the line points.
					LineChart1.AddLineMultiplePoints(j,Array As Double(tem1,tem2,tem3), i Mod 60 = 0)
				Next
			Case 4
				Chart1 = Day_List.get(0)
				Date_Year = Chart1.Substring2(0,4)
				Chart1 = Chart1.Substring2(4,6)&"/"& Chart1.Substring2(6,8) & ""
				Chart2 = Day_List.get(1)
				Chart2 = Chart2.Substring2(4,6)&"/"& Chart2.Substring2(6,8) & ""
				Chart3 = Day_List.get(2)
				Chart3 = Chart3.Substring2(4,6)&"/"& Chart3.Substring2(6,8) & ""
				Chart4 = Day_List.get(3)
				Chart4 = Chart4.Substring2(4,6)&"/"& Chart4.Substring2(6,8) & ""
				
				LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
				LineChart1.AddLine2(Chart2, xui.Color_BLUE, 2dip, "CIRCLE", False, xui.Color_BLUE)
				LineChart1.AddLine2(Chart3, xui.Color_RED, 2dip, "CIRCLE", False, xui.Color_RED)
				LineChart1.AddLine2(Chart4, xui.Color_GRAY, 2dip, "CIRCLE", False, xui.Color_GRAY)
					
				For i = 0 To 1440 Step 60
					If (i Mod 60 = 0) And  i = 0 Then
						j = 0
						tem1 = Show_Data.Get(23)
						tem2 = Show_Data.Get(47)
						tem3 = Show_Data.Get(71)
						tem4 = Show_Data.Get(95)
					Else
						j = j +1
						tem1 = Show_Data.Get(j-1)
						tem2 = Show_Data.Get(j+23)
						tem3 = Show_Data.Get(j+47)
						tem4 = Show_Data.Get(j+71)
					End If
					' Add the line points.
					LineChart1.AddLineMultiplePoints(j,Array As Double(tem1,tem2,tem3,tem4), i Mod 60 = 0)
				Next
			Case 5
				Chart1 = Day_List.get(0)
				Date_Year = Chart1.Substring2(0,4)
				Chart1 = Chart1.Substring2(4,6)&"/"& Chart1.Substring2(6,8) & ""
				Chart2 = Day_List.get(1)
				Chart2 = Chart2.Substring2(4,6)&"/"& Chart2.Substring2(6,8) & ""
				Chart3 = Day_List.get(2)
				Chart3 = Chart3.Substring2(4,6)&"/"& Chart3.Substring2(6,8) & ""
				Chart4 = Day_List.get(3)
				Chart4 = Chart4.Substring2(4,6)&"/"& Chart4.Substring2(6,8) & ""
				Chart5 = Day_List.get(4)
				Chart5 = Chart5.Substring2(4,6)&"/"& Chart5.Substring2(6,8) & ""


				LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
				LineChart1.AddLine2(Chart2, xui.Color_BLUE, 2dip, "CIRCLE", False, xui.Color_BLUE)
				LineChart1.AddLine2(Chart3, xui.Color_RED, 2dip, "CIRCLE", False, xui.Color_RED)
				LineChart1.AddLine2(Chart4, xui.Color_GRAY, 2dip, "CIRCLE", False, xui.Color_GRAY)
				LineChart1.AddLine2(Chart5, xui.Color_Cyan, 2dip, "CIRCLE", False, xui.Color_CYAN)
					
				For i = 0 To 1440 Step 60
					If (i Mod 60 = 0) And  i = 0 Then
						j = 0
						tem1 = Show_Data.Get(23)
						tem2 = Show_Data.Get(47)
						tem3 = Show_Data.Get(71)
						tem4 = Show_Data.Get(95)
						tem5 = Show_Data.Get(119)				
					Else
						j = j +1
						tem1 = Show_Data.Get(j-1)
						tem2 = Show_Data.Get(j+23)
						tem3 = Show_Data.Get(j+47)
						tem4 = Show_Data.Get(j+71)
						tem5 = Show_Data.Get(j+95)
					End If
					' Add the line points.
					LineChart1.AddLineMultiplePoints(j,Array As Double(tem1,tem2,tem3,tem4,tem5), i Mod 60 = 0)
				Next
			Case 6
				Chart1 = Day_List.get(0)
				Date_Year = Chart1.Substring2(0,4)
				Chart1 = Chart1.Substring2(4,6)&"/"& Chart1.Substring2(6,8) & ""
				Chart2 = Day_List.get(1)
				Chart2 = Chart2.Substring2(4,6)&"/"& Chart2.Substring2(6,8) & ""
				Chart3 = Day_List.get(2)
				Chart3 = Chart3.Substring2(4,6)&"/"& Chart3.Substring2(6,8) & ""
				Chart4 = Day_List.get(3)
				Chart4 = Chart4.Substring2(4,6)&"/"& Chart4.Substring2(6,8) & ""
				Chart5 = Day_List.get(4)
				Chart5 = Chart5.Substring2(4,6)&"/"& Chart5.Substring2(6,8) & ""
				Chart6 = Day_List.get(5)
				Chart6 = Chart6.Substring2(4,6)&"/"& Chart6.Substring2(6,8) & ""

				LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
				LineChart1.AddLine2(Chart2, xui.Color_BLUE, 2dip, "CIRCLE", False, xui.Color_BLUE)
				LineChart1.AddLine2(Chart3, xui.Color_RED, 2dip, "CIRCLE", False, xui.Color_RED)
				LineChart1.AddLine2(Chart4, xui.Color_GRAY, 2dip, "CIRCLE", False, xui.Color_GRAY)
				LineChart1.AddLine2(Chart5, xui.Color_Cyan, 2dip, "CIRCLE", False, xui.Color_CYAN)
				LineChart1.AddLine2(Chart6, xui.Color_Green, 2dip, "CIRCLE", False, xui.Color_GREEN)
					
				For i = 0 To 1440 Step 60
					If (i Mod 60 = 0) And  i = 0 Then
						j = 0
						tem1 = Show_Data.Get(23)
						tem2 = Show_Data.Get(47)
						tem3 = Show_Data.Get(71)
						tem4 = Show_Data.Get(95)
						tem5 = Show_Data.Get(119)
						tem6 = Show_Data.Get(143)
						
					Else
						j = j +1
						tem1 = Show_Data.Get(j-1)
						tem2 = Show_Data.Get(j+23)
						tem3 = Show_Data.Get(j+47)
						tem4 = Show_Data.Get(j+71)
						tem5 = Show_Data.Get(j+95)
						tem6 = Show_Data.Get(j+119)
						
					End If
					' Add the line points.
					LineChart1.AddLineMultiplePoints(j,Array As Double(tem1,tem2,tem3,tem4,tem5,tem6), i Mod 60 = 0)
				Next
				Case 7
					Chart1 = Day_List.get(0)
				    Date_Year = Chart1.Substring2(0,4)
					Chart1 = Chart1.Substring2(4,6)&"/"& Chart1.Substring2(6,8) & ""
					Chart2 = Day_List.get(1)
					Chart2 = Chart2.Substring2(4,6)&"/"& Chart2.Substring2(6,8) & ""
					Chart3 = Day_List.get(2)
					Chart3 = Chart3.Substring2(4,6)&"/"& Chart3.Substring2(6,8) & ""
					Chart4 = Day_List.get(3)
					Chart4 = Chart4.Substring2(4,6)&"/"& Chart4.Substring2(6,8) & ""
					Chart5 = Day_List.get(4)
					Chart5 = Chart5.Substring2(4,6)&"/"& Chart5.Substring2(6,8) & ""
					Chart6 = Day_List.get(5)
					Chart6 = Chart6.Substring2(4,6)&"/"& Chart6.Substring2(6,8) & ""
					Chart7 = Day_List.get(6)
					Chart7 = Chart7.Substring2(4,6)&"/"& Chart7.Substring2(6,8) & ""

					LineChart1.AddLine2(Chart1, xui.Color_Magenta, 2dip, "CIRCLE", False, xui.Color_Magenta)
				    LineChart1.AddLine2(Chart2, xui.Color_BLUE, 2dip, "CIRCLE", False, xui.Color_BLUE)
				    LineChart1.AddLine2(Chart3, xui.Color_RED, 2dip, "CIRCLE", False, xui.Color_RED)
					LineChart1.AddLine2(Chart4, xui.Color_GRAY, 2dip, "CIRCLE", False, xui.Color_GRAY)
					LineChart1.AddLine2(Chart5, xui.Color_Cyan, 2dip, "CIRCLE", False, xui.Color_CYAN)
					LineChart1.AddLine2(Chart6, xui.Color_Green, 2dip, "CIRCLE", False, xui.Color_GREEN)
					LineChart1.AddLine2(Chart7, xui.Color_Black, 2dip, "CIRCLE", False, xui.Color_BLACK)
					
					For i = 0 To 1440 Step 60
						If (i Mod 60 = 0) And  i = 0 Then
							j = 0
						    tem1 = Show_Data.Get(23)
							tem2 = Show_Data.Get(47)
							tem3 = Show_Data.Get(71)
							tem4 = Show_Data.Get(95)
							tem5 = Show_Data.Get(119)
							tem6 = Show_Data.Get(143)
							tem7 = Show_Data.Get(167)
						Else
							j = j +1
							tem1 = Show_Data.Get(j-1)
							tem2 = Show_Data.Get(j+23)
							tem3 = Show_Data.Get(j+47)
							tem4 = Show_Data.Get(j+71)
							tem5 = Show_Data.Get(j+95)
							tem6 = Show_Data.Get(j+119)
							tem7 = Show_Data.Get(j+143)
						End If
						' Add the line points.
						LineChart1.AddLineMultiplePoints(j,Array As Double(tem1,tem2,tem3,tem4,tem5,tem6,tem7), i Mod 60 = 0)
					Next	  
		End Select	
End If
	

	LineChart1.Title = ""
	LineChart1.XAxisName = ""
	LineChart1.YAxisName = ""
'	LineChart1.IncludeLegend = False
	LineChart1.DrawChart

	If 100%Y > 100%x Then	' portrait mode
		LineChart1.Rotation = 90
	End If
End Sub
'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

 Sub Read_Database 
	
	Private ResultSet2 As ResultSet
	Private i As Int
	Private j As Int
    Private tem As Int
	Private tem_list As List
	tem_list.Initialize
	Day_List.Initialize
		'check the day's date nearby with 7days
		If Select_Flag = True Then
		    tem = Select_Num
		Else
			tem = Num
		End If
		
		For i = 0 To 6 
			Query = "SELECT * FROM Chart_Table WHERE NUM = ?"
			ResultSet2 = SQL1.ExecQuery2(Query, Array As String (tem))
			tem = tem -1
			If ResultSet2.NextRow = True Then
				Day_List.Add(ResultSet2.GetInt2(0))
			End If
			ResultSet2.Close
		Next
		'get the date from database and write in datalist
		 Show_Data.Initialize
	  
		For i = 0 To Day_List.Size - 1
			For j = 1 To 24
				Query = "SELECT " & "T" & j & " FROM Chart_Table WHERE ROWID = "				
				tem = SQL1.ExecQuerySingleResult(Query &  Day_List.Get(i))
			Show_Data.Add(tem)
		Next
	Next
	
	
   If Select_Flag = True And BntToday_Flag = True Then 
		tem = Select_Num		
		Query = "SELECT * FROM Chart_Table WHERE NUM = ?"
		ResultSet2 = SQL1.ExecQuery2(Query, Array As String (tem))
		tem = tem -1
		If ResultSet2.NextRow = True Then
			Day_List.Add(ResultSet2.GetInt2(0))
		End If
		ResultSet2.Close
	'get the date from database and write in datalist
	Show_Data.Initialize  
	For i = 0 To Day_List.Size - 1
		For j = 1 To 24
			Query = "SELECT " & "T" & j & " FROM Chart_Table WHERE ROWID = "
			tem = SQL1.ExecQuerySingleResult(Query &  Day_List.Get(i))
			Show_Data.Add(tem)
		Next
	Next
End If
End Sub
Sub Read_Database_Month 
	Private ResultSet2 As ResultSet
    Private tem As String
	Private Query As String
	Dim i As Int 
	Month_Day_List.Initialize
		'check the day's date nearby with 7days
	tem = Select_Month
	Query = "SELECT * FROM Chart_Table WHERE Rowid = ?"
	For i = 1 To 31
		If i < 10 Then 
		  tem = Select_Month &"0" & i
		Else 
		  tem = Select_Month & i
		End If
	   ResultSet2 = SQL1.ExecQuery2(Query, Array As String (tem))
	   If ResultSet2.NextRow = True Then
		Month_Day_List.Add(ResultSet2.GetInt2(50))
       End If
	   ResultSet2.Close
	Next
	
End Sub

Sub Write_Data
	Private Query1 As String
	Select_Flag = False
	DateTime.TimeFormat = "HHmmss"
	Dim tem As String
	Dim Num_tem As Int
	Dim Text_Nmu As Int
	Dim Aver_Nmu =0 As Double
	Dim Every_Nmu As Int
	tem = DateTime.time(DateTime.Now)
	tem = tem.SubString2(0,2)
	NowTime = tem 
	Text_Nmu = NowTime + 24
	If bnt1_Flag = True Then
		bnt1_Flag = False
	    Num_tem = 80
	Else If bnt2_Flag = True Then
		bnt2_Flag = False
		Num_tem = 100
	Else If bnt3_Flag = True Then
		bnt3_Flag = False
		Num_tem = 40
	Else If bnt4_Flag = True Then
		bnt4_Flag = False
		Num_tem = 30
	Else If bnt5_Flag = True Then
		bnt5_Flag = False
		Num_tem = 20
	Else If bnt6_Flag = True Then
		bnt6_Flag = False
		Num_tem = 10
	End If
	'/coculate the averange value
	Dim j As Int
	Dim Score_Num  = 0  As Int	
	For j = 1 To 24
		Query1 = "SELECT " & "T" & j & " FROM Chart_Table WHERE ROWID = "
		Every_Nmu = SQL1.ExecQuerySingleResult(Query1 &  NowDay)
		If Every_Nmu > 0 Then Score_Num = Score_Num + 1
		If Score_Num =0 Then Score_Num = 1
		Aver_Nmu = Aver_Nmu + Every_Nmu
	Next
	Aver_Nmu = Round2(Aver_Nmu/Score_Num,1)
	Query ="UPDATE Chart_Table Set " & "T" & NowTime & " = ?,"&  "T" & Text_Nmu & " = ?,"&"T49 = ?"& " WHERE RowID = " & NowDay
	SQL1.ExecNonQuery2(Query, Array As String(Num_tem, EditText1.Text,Aver_Nmu))
	EditText1.Text = ""
End Sub

Private Sub bnt6_Click
	bnt6_Flag = True
	Write_Data
	CreateChartData
End Sub

Private Sub bnt5_Click
	bnt5_Flag = True
	Write_Data
	CreateChartData
End Sub

Private Sub bnt4_Click
	bnt4_Flag = True
	Write_Data
	CreateChartData
End Sub

Private Sub bnt3_Click
	bnt3_Flag = True
	Write_Data
	CreateChartData
End Sub

Private Sub bnt2_Click
	bnt2_Flag = True
	Write_Data
	CreateChartData
End Sub

Private Sub bnt1_Click
	bnt1_Flag = True
	Write_Data
	CreateChartData
End Sub

Private Sub BntLeft_Click
	Select_Flag = True
	If Select_Num > 1 Then
		Select_Num = Select_Num - 1
	Else
		ToastMessage.Show("Reach last！")
	End If
	
 If	Bntmonth_Flag= True Then
 	   Dim tem As String
	  tem = Select_Month
	  tem = tem.SubString2(4,6)
		Month = tem
		If  Month > 1 Then
			Select_Month = Select_Month - 1
		Else 
			ToastMessage.Show("No data！！")
        End If
 End If	
	CreateChartData
End Sub

Private Sub BntRight_Click
	Select_Flag = True
	If Select_Num < Total_Num Then
		Select_Num = Select_Num + 1
	Else
		ToastMessage.Show("Reach lateat！")
	End If
	
	If	Bntmonth_Flag= True Then
		Dim tem As String
		tem = Select_Month
		tem = tem.SubString2(4,6)
		Month = tem
		If  Month < 12 Then
			Select_Month = Select_Month + 1
		Else
			ToastMessage.Show("No data！！")
		End If
	End If

	CreateChartData
End Sub


Private Sub BntHome_Click
	LineChart1.Visible = True
	Select_Flag = False
	Bntmonth_Flag = False
	Week_Flag = False
	BntToday_Flag = False
	EditText1.Visible = True
	CreateChartData
End Sub

Private Sub BntMonth_Click
	LineChart1.Visible = True
	Bntmonth_Flag = True
	Select_Flag = False
	Week_Flag = False
	BntToday_Flag = False
	EditText1.Visible = False
	
	Dialog.Title = "Selce date"
	Wait For (Dialog.ShowTemplate(DateTemplate, "", "", "CANCEL")) Complete (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		DateTime.DateFormat = "yyyyMMdd"
		Dim tem As String
		tem = DateTime.Date(DateTemplate.Date)
		Select_Month = tem.SubString2(0,6)
	End If
	CreateChartData
End Sub

Private Sub BntToday_Click
	LineChart1.Visible = True
	BntToday_Flag = True
	Select_Flag = False
	Bntmonth_Flag = False
	Week_Flag = False
	EditText1.Visible = True
	Select_Num = Num
	CreateChartData
End Sub